com.independentsoft.exchange

## Class RelativeMonthlyRecurrencePattern

- java.lang.Object
- - com.independentsoft.exchange.RelativeMonthlyRecurrencePattern

- All Implemented Interfaces:
    RecurrencePattern, TaskRecurrencePattern

      public class RelativeMonthlyRecurrencePattern
      extends java.lang.Object
      implements RecurrencePattern, TaskRecurrencePattern

  Describes a relative monthly recurrence pattern.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeMonthlyRecurrencePattern()` Initializes a new instance of the RelativeMonthlyRecurrencePattern class.
    `RelativeMonthlyRecurrencePattern(int interval, java.util.List<DayOfWeek> days, DayOfWeekIndex dayIndex)` Initializes a new instance of the RelativeMonthlyRecurrencePattern class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DayOfWeekIndex` | `getDayIndex()` Gets which week is used in a relative monthly recurrence pattern.
    `java.util.List<DayOfWeek>` | `getDays()` Gets which days of the week are in the relative monthly recurrence pattern.
    `int` | `getInterval()` Gets the interval between two consecutive monthly recurring pattern items.
    `void` | `setDayIndex(DayOfWeekIndex dayIndex)` Sets which week is used in a relative monthly recurrence pattern.
    `void` | `setInterval(int interval)` Sets the interval between two consecutive monthly recurring pattern items.
    `java.lang.String` | `toString()` Converts the value of the current RelativeMonthlyRecurrencePattern object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeMonthlyRecurrencePattern

          public RelativeMonthlyRecurrencePattern()

      Initializes a new instance of the RelativeMonthlyRecurrencePattern class.

    - #### RelativeMonthlyRecurrencePattern

          public RelativeMonthlyRecurrencePattern(int interval,
                                                  java.util.List<DayOfWeek> days,
                                                  DayOfWeekIndex dayIndex)

      Initializes a new instance of the RelativeMonthlyRecurrencePattern class.
      Parameters:
        `interval` - the interval
        `days` - the days
        `dayIndex` - the day index

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current RelativeMonthlyRecurrencePattern object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getInterval

          public int getInterval()

      Gets the interval between two consecutive monthly recurring pattern items.
      Returns:
        the interval

    - #### setInterval

          public void setInterval(int interval)

      Sets the interval between two consecutive monthly recurring pattern items.
      Parameters:
        `interval` - the new interval

    - #### getDays

          public java.util.List<DayOfWeek> getDays()

      Gets which days of the week are in the relative monthly recurrence pattern.
      Returns:
        the days

    - #### getDayIndex

          public DayOfWeekIndex getDayIndex()

      Gets which week is used in a relative monthly recurrence pattern.
      Returns:
        the day index

    - #### setDayIndex

          public void setDayIndex(DayOfWeekIndex dayIndex)

      Sets which week is used in a relative monthly recurrence pattern.
      Parameters:
        `dayIndex` - the new day index